Package org.apache.sysds.runtime.compress.utils

## Class DblArrayCountHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DblArrayCountHashMap

-     public class DblArrayCountHashMap
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DblArrayCountHashMap​(int init_capacity, int cols)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArrayList<DArrCounts>` | `extractValues()` |
    `int` | `get​(DblArray key)` | Get the value on a key, if the key is not inside a NullPointerException is thrown.
    `int` | `getSumCounts()` |
    `int[]` | `getUnorderedCountsAndReplaceWithUIDs()` |
    `int[]` | `getUnorderedCountsAndReplaceWithUIDsWithExtraCell()` |
    `int` | `increment​(DblArray key)` | Increment the key, and return the Id of the value incremented.
    `void` | `replaceWithUIDs()` |
    `void` | `reset​(int size)` |
    `int` | `size()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DblArrayCountHashMap

          public DblArrayCountHashMap​(int init_capacity,
                                      int cols)

  - ### Method Detail

    - #### size

          public int size()

    - #### increment

          public int increment​(DblArray key)

      Increment the key, and return the Id of the value incremented.
      Parameters:
        `key` - DblArray key
      Returns:
        The Unique ID of the value contained.

    - #### get

          public int get​(DblArray key)

      Get the value on a key, if the key is not inside a NullPointerException is thrown.
      Parameters:
        `key` - the key to lookup
      Returns:
        count on key

    - #### extractValues

          public ArrayList<DArrCounts> extractValues()

    - #### replaceWithUIDs

          public void replaceWithUIDs()

    - #### getSumCounts

          public int getSumCounts()

    - #### getUnorderedCountsAndReplaceWithUIDs

          public int[] getUnorderedCountsAndReplaceWithUIDs()

    - #### getUnorderedCountsAndReplaceWithUIDsWithExtraCell

          public int[] getUnorderedCountsAndReplaceWithUIDsWithExtraCell()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### reset

          public void reset​(int size)